# Generated from stairs-steps-s3-0.1.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name stairs-steps-s3

Name: rubygem-%{gem_name}
Version: 0.1.1
Release: 1%{?dist}
Summary: Stairs plugin for setting up S3
License: MIT
URL: http://github.com/patbenatar/stairs-steps-s3
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(rspec) >= 2.14.1
# BuildRequires: rubygem(rspec) < 2.15
# BuildRequires: rubygem(guard-rspec) >= 4.0.3
# BuildRequires: rubygem(guard-rspec) < 4.1
# BuildRequires: rubygem(rb-fsevent) >= 0.9.3
# BuildRequires: rubygem(rb-fsevent) < 0.10
# BuildRequires: rubygem(awesome_print) >= 1.2.0
# BuildRequires: rubygem(awesome_print) < 1.3
# BuildRequires: rubygem(fakefs) >= 0.4.3
# BuildRequires: rubygem(fakefs) < 0.5
# BuildRequires: rubygem(rubocop) >= 0.14.1
# BuildRequires: rubygem(rubocop) < 0.15
# BuildRequires: rubygem(guard-rubocop) >= 1.0.0
# BuildRequires: rubygem(guard-rubocop) < 1.1
# BuildRequires: rubygem(mock_stdio) >= 0.0.1
# BuildRequires: rubygem(mock_stdio) < 0.1
BuildArch: noarch

%description
Stairs plugin for setting up S3.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/stairs-steps-s3.gemspec

%changelog
* Wed Sep 15 2021 mockbuilder - 0.1.1-1
- Initial package
